org.apache.hadoop.yarn.api.protocolrecords

## Class UpdateApplicationTimeoutsRequest

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.UpdateApplicationTimeoutsRequest

-     @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public abstract class UpdateApplicationTimeoutsRequest
      extends Object

  The request sent by the client to the `ResourceManager` to set or update the application timeout.

  The request includes the `ApplicationId` of the application and timeout to be set for an application

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateApplicationTimeoutsRequest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ApplicationId` | `getApplicationId()` Get the `ApplicationId` of the application.
    `abstract Map<ApplicationTimeoutType,String>` | `getApplicationTimeouts()` Get `ApplicationTimeouts` of the application.
    `static UpdateApplicationTimeoutsRequest` | `newInstance(ApplicationId applicationId, Map<ApplicationTimeoutType,String> applicationTimeouts)`
    `abstract void` | `setApplicationId(ApplicationId applicationId)` Set the `ApplicationId` of the application.
    `abstract void` | `setApplicationTimeouts(Map<ApplicationTimeoutType,String> applicationTimeouts)` Set the `ApplicationTimeouts` for the application.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdateApplicationTimeoutsRequest

          public UpdateApplicationTimeoutsRequest()

  - ### Method Detail

    - #### newInstance

          public static UpdateApplicationTimeoutsRequest newInstance(ApplicationId applicationId,
                                                                     Map<ApplicationTimeoutType,String> applicationTimeouts)

    - #### getApplicationId

          public abstract ApplicationId getApplicationId()

      Get the `ApplicationId` of the application.
      Returns:
        `ApplicationId` of the application

    - #### setApplicationId

          public abstract void setApplicationId(ApplicationId applicationId)

      Set the `ApplicationId` of the application.
      Parameters:
        `applicationId` - `ApplicationId` of the application

    - #### getApplicationTimeouts

          public abstract Map<ApplicationTimeoutType,String> getApplicationTimeouts()

      Get `ApplicationTimeouts` of the application. Timeout value is in ISO8601 standard with format yyyy-MM-dd'T'HH:mm:ss.SSSZ.
      Returns:
        all `ApplicationTimeouts` of the application.

    - #### setApplicationTimeouts

          public abstract void setApplicationTimeouts(Map<ApplicationTimeoutType,String> applicationTimeouts)

      Set the `ApplicationTimeouts` for the application. Timeout value is absolute. Timeout value should meet ISO8601 format. Support ISO8601 format is yyyy-MM-dd'T'HH:mm:ss.SSSZ. All pre-existing Map entries are cleared before adding the new Map.
      Parameters:
        `applicationTimeouts` - `ApplicationTimeouts`s for the application

Copyright © 2022 Apache Software Foundation. All rights reserved.